Bug 1106309 - fuse-smb: FTBFS in rawhide
Summary: fuse-smb: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fuse-smb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marcin Zajaczkowski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 914014 992305 F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-09 04:37 UTC by Dennis Gilmore
Modified: 2014-07-01 20:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-01 20:56:40 UTC
Type: ---


Attachments (Terms of Use)
build.log (8.13 KB, text/plain)
2014-06-09 04:37 UTC, Dennis Gilmore
no flags Details
root.log (79.58 KB, text/plain)
2014-06-09 04:37 UTC, Dennis Gilmore
no flags Details
state.log (1.07 KB, text/plain)
2014-06-09 04:37 UTC, Dennis Gilmore
no flags Details
Fix FTBFS with samba-4.0 (#914014, #992305, #1106309) (1.60 KB, patch)
2014-06-27 21:17 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2014-06-09 04:37:26 UTC
Your package fuse-smb failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6965883

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-09 04:37:28 UTC
Created attachment 904486 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-09 04:37:30 UTC
Created attachment 904487 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-09 04:37:31 UTC
Created attachment 904488 [details]
state.log

Comment 4 Yaakov Selkowitz 2014-06-27 21:17:34 UTC
Created attachment 912960 [details]
Fix FTBFS with samba-4.0 (#914014, #992305, #1106309)

Comment 5 Marcin Zajaczkowski 2014-06-28 22:55:21 UTC
@Yaakov, thanks for the patch!

In fact I had a plan to retire this package. There have been a lot of crash reports in Samba 3.2+ environment related to the fact libsmbclient is not thread safe which was an assumption in fusesmb. I talk a few years ago with the author about changes required for better support new Samba versiosn and there would not be probably any new version of fusesmb at all.

Ubunty recommends [1] smbnetfs project [2] as a replacement, but as I don't have any Windows computer in the network (which is probably the main reason to mount smb shares) I would prefer to not be a packager of smbnetfs - I would not use it, so I would not be able to test it carefully with all further Fedora updates. Maybe there would be someone else willing to package smbnetfs.

What do you think about the idea to retire this package?

[1] - https://help.ubuntu.com/community/FuseSmb
[2] - https://sourceforge.net/projects/smbnetfs/

Comment 6 Yaakov Selkowitz 2014-06-29 04:59:19 UTC
(In reply to Marcin Zajaczkowski from comment #5)
> What do you think about the idea to retire this package?

To be honest, I have no personal knowledge of this particular package; I'm just going through the F21FTBFS failures and trying to fix what I can.  As the package maintainer, if you think it should be retired -- and seemingly for good reason -- then please go ahead.

Comment 7 Marcin Zajaczkowski 2014-07-01 20:56:40 UTC
I've merged your patch into master and also started the retiring package procedure.


Note You need to log in before you can comment on or make changes to this bug.